%global srcname pyOCD
%global sum CMSIS-DAP debugger for Python

Name:           python-%{srcname}
Version:        0.8.1a1
Release:        1%{?dist}
Summary:        %{sum}

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://pypi.python.org/packages/c5/2c/274a31b605f40f66aff97362bef211730ae5410f5e4539031c5ef2e19b6d/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools_scm
BuildRequires:  python2-pyusb
BuildRequires:  python2-websocket_client
BuildRequires:  python2-future
BuildRequires:  python2-enum34
BuildRequires:  python2-six
BuildRequires:  python2-intelhex
BuildRequires:  python2-backports.ssl_match_hostname

%description
CMSIS-DAP debugger for Python.

%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
CMSIS-DAP debugger for Python.


%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build

%install
# Must do the python2 install first because the scripts in /usr/bin are
# overwritten with every setup.py install, and in general we want the
# python3 version to be the default.
# If, however, we're installing separate executables for python2 and python3,
# the order needs to be reversed so the unversioned executable is the python2 one.
%py2_install

%check
%{__python2} setup.py test

# Note that there is no %%files section for the unversioned python module if we are building for several python runtimes
%files -n python2-%{srcname}
%license LICENSE
%doc README.rst
%{python2_sitelib}/*
%{_bindir}/pyocd-flashtool
%{_bindir}/pyocd-gdbserver
%{_bindir}/pyocd-tool

%changelog
* Sun Mar 25 2018 Thomas Sailer <t.sailer@alumni.ethz.ch> - 0.8.1a1-1
- initial spec file
